# $Revision: 1.31 $, $Date: 2010/11/12 23:38:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Date
Summary:	Perl Class for easy date and time manipulation
Summary(pl.UTF-8):	Klasa Perla do łatwej manipulacji datą i czasem
Name:		perl-Class-Date
Version:	1.1.9
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	12f21e05e46d05fd0339f1c02b9b3318
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
This module is intended to provide a general-purpose date and datetime
type for Perl. You have a Class::Date class for absolute date and
datetime, and have a Class::Date::Rel class for relative dates.

%description -l pl.UTF-8
Ten moduł ma za zadanie udostępnić dla Perla typy daty i czasu
ogólnego przeznaczenia. Zawiera klasę Class::Date do bezwzględnych dat
i czasu oraz Class::Date::Rel do dat względnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorarch}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorarch}/%{pdir}/%{pnam}
%{perl_vendorarch}/%{pdir}/%{pnam}/*.pm
#%dir %{perl_vendorarch}/auto/%{pdir} # -- which package should be a Class/ owner?
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/%{pnam}.*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Date.spec,v $
Revision 1.31  2010/11/12 23:38:22  pawelz
- release 7

Revision 1.30  2010/06/06 08:31:48  arekm
- release 4

Revision 1.29  2009/03/14 11:18:46  hawk
- release 3

Revision 1.28  2008/02/10 12:01:41  arekm
- rel 2

Revision 1.27  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.25  2006/05/25 06:40:07  blaass
- up to 1.1.9, rel 1

Revision 1.24  2006/01/22 11:49:06  agaran
- up to 1.1.8 rel: 0.1

Revision 1.23  2004/11/03 22:30:10  paladine
- formatting

Revision 1.22  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.21  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.20  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.18  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.17  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.16  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.15  2003/09/15 08:17:19  adamg
- updated to 1.1.7

Revision 1.14  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.12  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/15 00:16:43  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.8  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/04/11 13:24:38  qboosh
- merge from RA-branch: up to 1.1.6, tests on bcond
- release 2

Revision 1.6  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.4  2003/02/23 01:04:33  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.3  2003/02/18 15:28:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.1  2003/02/12 11:40:19  mis
- new
